### Method

# Vips Image hist_plot

#### Declaration [src]

    int
    vips_hist_plot (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Plot a 1 by any or any by 1 image file as a max by any or any by max image using these rules:

unsigned char max is always 256

other unsigned integer types output 0 - maximum value of `in`.

signed int types min moved to 0, max moved to max + min.

float types min moved to 0, max moved to any (square output).

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.